org.apache.lucene.luke.app.desktop

## Interface MessageBroker.MessageReceiver

Enclosing class:
  MessageBroker

    public static interface MessageBroker.MessageReceiver

Message receiver in charge of rendering the message.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearStatusMessage()`
`void` `showStatusMessage(String message)`
`void` `showUnknownErrorMessage()`

### Method Detail

#### showStatusMessage

    void showStatusMessage(String message)

#### showUnknownErrorMessage

    void showUnknownErrorMessage()

#### clearStatusMessage

    void clearStatusMessage()